Bug 819178 - Please add nss-mdns to RHEL 7
Please add nss-mdns to RHEL 7
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: distribution (Show other bugs)
Unspecified Unspecified
medium Severity medium
: beta
: ---
Assigned To: Lukáš Nykrýn
nobody nobody
: FutureFeature
: 1043027 (view as bug list)
Depends On:
Blocks: 1117274 1043027
  Show dependency treegraph
Reported: 2012-05-05 07:28 EDT by Matěj Cepl
Modified: 2016-01-28 08:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-28 07:39:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2012-05-05 07:28:00 EDT
Description of problem:
Using MDNS is useful not only in the local area networks, but especially with virtual machines where changing IP addresses happen quite easily.

Version-Release number of selected component (if applicable):
RHEL7 Alpha2

How reproducible:

Steps to Reproduce:
1.ssh <hostname>.local
Actual results:
"Could not resolve hostname" error although the SSH service is visible in avahi-browse -a output (or in avahi-discover).

Expected results:
Just getting a connection to ssh server on other machine

Additional info:
I would even argue that this should be a default part of all desktop installations.
Comment 2 Matěj Cepl 2012-10-09 02:37:11 EDT
I am not saying that this need to be enabled per default (or even installed per default, although that would be nice for naive users), but it would be nice if the package was available and supported at all.
Comment 8 Václav Pavlín 2014-03-10 10:15:54 EDT
Obviously not solved in rhel7.0 - moving to 7.1
Comment 10 Siddharth Nagar 2014-08-21 11:45:34 EDT
*** Bug 1043027 has been marked as a duplicate of this bug. ***
Comment 11 Siddharth Nagar 2014-08-21 11:49:14 EDT
We need more details on the use-case that requires this package. Why is it needed? What other packages will be requested to satisfy the requirement? The closest I could find is:

Comment 13 Lukáš Nykrýn 2016-01-28 07:20:15 EST
I don't think that this worth doing. There is no customer request behind this inclusion and nss-mdns is shipped in epel.
Comment 14 Václav Pavlín 2016-01-28 07:39:13 EST
I agree, also it doesn't look like there was anybody able to provide use-cases required by Siddharth.

Closing as WONTFIX
Comment 15 Matěj Cepl 2016-01-28 08:22:15 EST
(In reply to Václav Pavlín from comment #14)
> I agree, also it doesn't look like there was anybody able to provide
> use-cases required by Siddharth.
> Closing as WONTFIX

Oh well. I don't have a BUSINESS case, but we use Avahi .local names all around the house and it is really cool. My suspicion is that nobody asks for it because nobody knows they can have it. Oh well.

Note You need to log in before you can comment on or make changes to this bug.